Next: ctan, Previous: csinh, Up: Complex [Contents][Index]

### 2.21 `csqrt`, `csqrtf`—complex square root

Synopsis

    #include <complex.h>
    double complex csqrt(double complex z);
    float complex csqrtf(float complex z);

Description
These functions compute the complex square root of z, with a branch cut along the negative real axis.

`csqrtf` is identical to `csqrt`, except that it performs its calculations on `floats complex`.

Returns
The csqrt functions return the complex square root value, in the range of the right halfplane (including the imaginary axis).

Portability
`csqrt` and `csqrtf` are ISO C99